SYSCOIN UPGRADE 3.1.x.0

x = latest version.

This upgrade applies to Syscoin QT and Masternodes.

For the latest versions visit Github and read the release notes.

See below for Masternode Upgrade Instructions to 3.1.x.0 this also includes updating your sentinel to 1.1.1 if you have not already done so.

This upgrade is requested even if you are not stuck on a block or on the wrong chain to prevent you moving to the wrong chain, please read release notes in Github for further details. Check your block against the explorer.

If you have already updated to 3.1.3 and have confirmed you are on the correct block then you DO NOT need to run the Reload Blocks procedure just do the upgrade part.

Login to the vps

*If you used Justin’s/ Doublesharps script:*

To check Sentinel Version

syscli masternodelist json [vpsipaddress]

Stop Syscoind

sudo service syscoind stop

Run the command below and choose ‘Y’ to upgrade then enter, and then select Y or N to sentinel upgrade as required and press enter, then press enter when asked for the branch.

If this is not an upgrade you will need to enter your MN key when prompted, otherwise just accept the values shown.

bash <(curl -sL doublesharp.com/sysmasternode)

When finished the script will start Syscoind automatically.

To check the Syscoin Version and protocol.

syscli getinfo

Reload Blocks

bash <(curl -sL https://raw.githubusercontent.com/locutus75/syscoinscripts/master/syscoincore-reindex.sh)

Leave it a few minutes then check you are synced to the correct block by comparing with the explorer.

syscoin-cli getinfo

If you are still not on the correct block you will need to carry out the Reload Blocks procedure again.

Close putty

— — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — — —

If you upgrade your Masternodes manually, there are two methods to choose from:

  1. Execute separate commands.
  2. Use a script which executes the commands

Method 1

Press Enter at the end of each line.

~/syscoin/src/syscoin-cli stop
cd ~/syscoin
git checkout master && git pull
./autogen.sh
./configure
make -j$(nproc) -pipe
~/syscoin/src/syscoind

Update Sentinel if required

To check Sentinel Version

~/syscoin/src/syscoin-cli masternodelist json [vpsipaddress]

Install if required

cd ~/syscoin/src/sentinel
git checkout master
git pull

Reload your Blocks

~/syscoin/src/syscoin-cli stop
rm ~/.syscoincore/debug.log
rm ~/.syscoincore/peers.dat
rm -rf ~/.syscoincore/blocks
rm -rf ~/.syscoincore/chainstate
~/syscoin/src/syscoind -reindex

Leave it a few minutes then check you are synced to the correct block by comparing with the explorer.

~/syscoin/src/syscoin-cli getinfo

If you are still not on the correct block you will need to carry out the Reload Blocks procedure again.

Method 2

You can use this single command (written by Locutus), which will also remove chainstate, blocks and peers.dat.

bash <(curl -sL https://raw.githubusercontent.com/locutus75/syscoinscripts/master/offlineupdatescript.sh)

Leave it a few minutes then check you are synced to the correct block by comparing with the explorer.

~/syscoin/src/syscoin-cli getinfo

If you are still not on the correct block you will need to carry out the Reload Blocks procedure again using this script.

bash <(curl -sL https://raw.githubusercontent.com/locutus75/syscoinscripts/master/syscoincore-reindex.sh)

See below for QT Upgrade Instructions to 3.1.x.0

Close QT and download the latest from Github

ALWAYS ENSURE YOU HAVE A BACKUP OF WALLET.DAT

Go to your syscoincore folder
For WIN

C:\Users\YOURUSERNAME\AppData\Roaming\SyscoinCore

Or type %appdata% in the search box

For MAC
 CMD + Shift + G
 ~/Library/Application Support/SyscoinCore

Remove any addnode connectnode lines from syscoin.conf

Delete the Blocks and Chainstate folder and peers.dat and mncache.dat file

Open QT and it should start syncing within a minute or so.

Leave it to fully sync then check you are synced to the correct block by comparing with the explorer.

If you are still not on the correct block or stuck on an incorrect block use this method.

1) Shut down QT.
2) Rename syscoincore folder to syscoincoreold.
3) Create a new syscoincore folder.
4) COPY wallet.dat and masternode.conf from syscoincoreold to the new syscoincore folder.
5) Restart QT 3.1.2 or higher.

This gives you a new clean sync on the correct chain, and a backup. (syscoincoreold).
Any transactions that are “stuck” on the wrong chain will no longer be in mempool, will not have happened and your balance should be correct.

ALL MASTERNODE USERS

There is no need to Restart your Node, it may change status to Sentinel Ping Expired for a short time (Less than an hour)

Please note then when looking at the Masternode details in QT and on your VPS, Sysnode.info or Nodecheck.io the protocol version shows the minimum version (70221) not the current (70226) . Current version is shown in `getinfo`